
<!DOCTYPE html>

<html lang="Python">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Server &#8212; Underwater Motion Capture System 1.0.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Client Software" href="client-software.html" />
    <link rel="prev" title="About the Project" href="readme.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="server">
<h1>Server<a class="headerlink" href="#server" title="Permalink to this headline">¶</a></h1>
<p><em>The following instructions will teach you how to set up the server device for this project</em></p>
<p>The server is the device which will be connecting to each individual client, sending out commands, and receiving and processing images.
A computer or laptop with decent processing power is recommended.</p>
<section id="installing-python3">
<h2>Installing Python3<a class="headerlink" href="#installing-python3" title="Permalink to this headline">¶</a></h2>
<p>The code for this project was written in Python 3.7+. To install Python on your device,
select the version for your operating system from the <a class="reference external" href="https://www.python.org/downloads/">official Python website</a>.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>If you choose to use a virtual environment such as Conda for the installation of python packages (recommended unless you have a device whose sole use is to act as a server for this project), you must keep track of where the Python executable is installed</p>
</div>
</section>
<section id="installing-python-packages">
<h2>Installing Python Packages<a class="headerlink" href="#installing-python-packages" title="Permalink to this headline">¶</a></h2>
<p>A few python packages are required by the server for this project. Versions from 3.4+ of Python should come bundled with the pip program. Using pip makes it much easier to
install all the packages we need.</p>
<p>In the command prompt/terminal, run <code class="docutils literal notranslate"><span class="pre">pip</span> <span class="pre">install</span> <span class="pre">&lt;package</span> <span class="pre">name&gt;</span></code>, where &lt;package name&gt; is the name of the package. Each of the package names needed for the server scripts are listed below.</p>
<ul class="simple">
<li><p>opencv-contrib-python</p></li>
</ul>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">Underwater Motion Capture System</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Find more basic information on this project and its purposes here:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">About the Project</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Installation and environment setup for both the server and clients are explained here:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Server</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#installing-python3">Installing Python3</a></li>
<li class="toctree-l2"><a class="reference internal" href="#installing-python-packages">Installing Python Packages</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="client-software.html">Client Software</a></li>
<li class="toctree-l1"><a class="reference internal" href="client-hardware.html">Client Hardware</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Additional Information:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="license.html">Licensing</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="readme.html" title="previous chapter">About the Project</a></li>
      <li>Next: <a href="client-software.html" title="next chapter">Client Software</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2021, Marvin Lin.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 4.2.0</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/server.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>